Xerces 3.1.1

## org.apache.wml
Interface WMLDoElement

All Known Implementing Classes:
  WMLDoElementImpl

public interface WMLDoElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

Version:
  $Id: WMLDoElement.java,v 1.1 2000/04/23 18:07:44 david Exp $

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getLabel()`
`java.lang.String` `getName()`
`java.lang.String` `getOptional()`
`java.lang.String` `getType()`
`java.lang.String` `getXmlLang()`
`void` `setLabel(java.lang.String newValue)`
`void` `setName(java.lang.String newValue)`
`void` `setOptional(java.lang.String newValue)`
`void` `setType(java.lang.String newValue)`
`void` `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setOptional

    public void setOptional(java.lang.String newValue)

### getOptional

    public java.lang.String getOptional()

### setLabel

    public void setLabel(java.lang.String newValue)

### getLabel

    public java.lang.String getLabel()

### setType

    public void setType(java.lang.String newValue)

### getType

    public java.lang.String getType()

### setName

    public void setName(java.lang.String newValue)

### getName

    public java.lang.String getName()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Xerces 3.1.1